#!/bin/bash

echo ""
echo "From some empirical testing it looks like submitting the same document ID again to be"
echo "indexed, doesn't lead to multiple copies of the text occurring"
echo ""
sleep 3


prog_id_list=`jdb2txt.pl archives/archiveinf-doc.jdb |  egrep "^\[.*\]\$" | egrep -v "^\[D[0-9]+\]" | sed 's/^\[//' | sed 's/\]$//'`

echo "Programme IDs:"
for prog_id in $prog_id_list ; do
  echo "$prog_id"
  ./INDEX-IIIF-MANIFEST.sh "$prog_id"
done
